Teams
Get All Team Groups
Retrieve information of all the organization’s active team groups.
GET
/
api
/
v3
/
groups
Get All Team Groups
curl --request GET \
--url https://app.staging.sendo.so/api/v3/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.staging.sendo.so/api/v3/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.staging.sendo.so/api/v3/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.staging.sendo.so/api/v3/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.staging.sendo.so/api/v3/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.staging.sendo.so/api/v3/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.staging.sendo.so/api/v3/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"per_page": 1,
"total_groups": 20,
"groups": [
{
"id": 1234,
"budget": 50,
"created_at": "2020-05-01T13:53:05.000-07:00",
"monthly_budget": "50000",
"name": "Field Marketing",
"one_time_budget": 0,
"rollover": true,
"team_id": 5678,
"updated_at": "2022-09-26T11:49:50.000-07:00"
}
]
}
Parameters
The page number of the results you want to retrieve (the first page is 1). See Pagination for more information.
The number of users to be returned per page (max is 100). See Pagination for more information.
Response
List of team group objects
Hide team_group
Hide team_group
{
"current_page": 1,
"per_page": 1,
"total_groups": 20,
"groups": [
{
"id": 1234,
"budget": 50,
"created_at": "2020-05-01T13:53:05.000-07:00",
"monthly_budget": "50000",
"name": "Field Marketing",
"one_time_budget": 0,
"rollover": true,
"team_id": 5678,
"updated_at": "2022-09-26T11:49:50.000-07:00"
}
]
}
⌘I
Get All Team Groups
curl --request GET \
--url https://app.staging.sendo.so/api/v3/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.staging.sendo.so/api/v3/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.staging.sendo.so/api/v3/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.staging.sendo.so/api/v3/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.staging.sendo.so/api/v3/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.staging.sendo.so/api/v3/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.staging.sendo.so/api/v3/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"per_page": 1,
"total_groups": 20,
"groups": [
{
"id": 1234,
"budget": 50,
"created_at": "2020-05-01T13:53:05.000-07:00",
"monthly_budget": "50000",
"name": "Field Marketing",
"one_time_budget": 0,
"rollover": true,
"team_id": 5678,
"updated_at": "2022-09-26T11:49:50.000-07:00"
}
]
}